<?php defined('SYSPATH') or die('No direct script access.');
/**
* Message Model
* Handles CRUD for user messages
*/
class Model_Partenaire {
// Table name used by this model
protected $_table = 'partenaire';
/**
* Adds a new message for a user
*
* @param string user_id
* @param string user's message
* @return Database
*/
public function add($intitule)
{
$values=array($intitule);
$data = array('intitule');
return DB::insert($this->_table, $data)
->values($values)
->execute();
}
/**
* Gets all messages
*
* @return array
* */


public function get_all()
{
	  return DB::select()
			->from($this->_table)
			->order_by('id')
			->execute()
			->as_array();
			
}


/**
* Deletes a message from the DB
*
* @param string user_id
* @param string user's message
* @return Database
*/

public function edit($id,$intitule)
{
return  DB::update('partenaire')
->set(array('intitule' => $intitule))
->where('id','=',$id)
->execute();
}

public function delete($id)
{
return DB::delete($this->_table)
->where('id', '=', $id)
->execute();
}

/**
* Deletes a message from the DB
*
* @param string user_id
* @param string user's message
* @return Database
*/
public function select($id)
{
	 return DB::select()
	->from($this->_table)
	->where('id','=',$id)
	->execute()
	->as_array();
}
/**
* Counts all messages
*
* @return int
*/
public function count_all()
{

	  return DB::select(DB::expr('COUNT(*) AS message_count'))
		->from($this->_table)
		->execute()
		->get('message_count');
			}

}